
function list() {
  return new Promise((resolve, reject) => {
      resolve({
        "data": {
          "showcase": [
            {
              "name": "Home Assistant",
              "description": "Home Assistant is an open-source home automation platform that focuses on privacy and local control. It allows you to control all your devices from a single interface, integrating with a large number of devices and services. Home Assistant offers advanced automation capabilities, running perfectly on a Raspberry Pi or a local server. Start using Home Assistant today for a comprehensive home automation solution.",
              "url": "",
              "longDescription": "<p>Home Assistant is an open-source home automation platform focused on privacy and local control. It allows you to control all your devices from a single, unified interface. It is powered by a worldwide community of tinkerers and DIY enthusiasts, perfect to run on a Raspberry Pi or a local server.</p><p>Home Assistant integrates with a large number of different devices and services, providing the user with a powerful and flexible home automation control center. In addition to its powerful, flexible features, it provides advanced automation capabilities to help make your life easier.</p><p>With support for a vast array of devices and services, Home Assistant can be the one-stop solution for all your home automation needs. Get started with Home Assistant today and take control of your home automation!</p>",
              "tags": [
                "smart home",
                "home automation",
                "IoT",
                "Raspberry Pi",
                "local server",
                "privacy",
                "control",
                "automation",
                "devices",
                "services",
                "home assistant"
              ],
              "repository": "https://github.com/home-assistant/core",
              "image": "https://hub.docker.com/r/homeassistant/home-assistant",
              "screenshots": [
                "https://azukaar.github.io/cosmos-servapps-official/servapps/HomeAssistant/screenshots/1.png",
                "https://azukaar.github.io/cosmos-servapps-official/servapps/HomeAssistant/screenshots/2.jpg",
                "https://azukaar.github.io/cosmos-servapps-official/servapps/HomeAssistant/screenshots/3.png"
              ],
              "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/HomeAssistant/icon.png",
              "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/HomeAssistant/cosmos-compose.json",
              "supported_architectures": [
                "amd64",
                "arm64"
              ]
            },
            {
              "name": "Jellyfin",
              "description": "Jellyfin is a Free Software Media System that puts you in control of managing and streaming your media. It is an alternative to the proprietary Plex, to provide media from a dedicated server to end-user devices via multiple apps.",
              "url": "",
              "longDescription": "<p>Jellyfin is an open-source media system that gives you the power to control the management and streaming of your media content. It offers an alternative to proprietary systems like Plex, empowering users to deliver media content from a dedicated server to various end-user devices through a range of apps.</p><p>Key features of Jellyfin include the ability to stream movies, TV shows, music, photos, videos, audiobooks, and podcasts. It also supports various technologies and platforms such as DLNA, Chromecast, Android, iOS, Roku, FireTV, SmartTV, Web browser, Kodi, and Emby. Jellyfin essentially functions as a comprehensive media browser, server, streaming system, player, center, manager, organizer, and library. In addition to these, it also facilitates media sharing, transcoding, and casting, offering a robust solution for your media needs.</p>",
              "tags": [
                "media",
                "server",
                "streaming",
                "movies",
                "tv",
                "music",
                "photos",
                "videos",
                "audiobooks",
                "podcasts",
                "dlna",
                "chromecast",
                "android",
                "ios",
                "roku",
                "firetv",
                "smarttv",
                "web",
                "browser",
                "kodi",
                "emby",
                "plex",
                "media browser",
                "media server",
                "media streaming",
                "media player",
                "media center",
                "media management",
                "media organizer",
                "media collection",
                "media library",
                "media manager",
                "media sharing",
                "media transcoding",
                "media casting",
                "media casting",
                "media casting"
              ],
              "repository": "https://github.com/jellyfin/jellyfin",
              "image": "https://hub.docker.com/r/linuxserver/jellyfin",
              "screenshots": [
                "https://azukaar.github.io/cosmos-servapps-official/servapps/Jellyfin/screenshots/1.png",
                "https://azukaar.github.io/cosmos-servapps-official/servapps/Jellyfin/screenshots/2.png",
                "https://azukaar.github.io/cosmos-servapps-official/servapps/Jellyfin/screenshots/3.png",
                "https://azukaar.github.io/cosmos-servapps-official/servapps/Jellyfin/screenshots/4.png"
              ],
              "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Jellyfin/icon.png",
              "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Jellyfin/cosmos-compose.json",
              "supported_architectures": [
                "amd64",
                "arm64"
              ]
            },
            {
              "name": "Nextcloud",
              "description": "Nextcloud is an open-source, self-hosted file share and collaboration platform, similar to Dropbox. It offers features such as file sharing, syncing, encryption, and collaboration tools. With its extensible app ecosystem, you can tailor your cloud storage service to your needs. Nextcloud is compatible with numerous platforms and can be integrated with many IT infrastructure systems.",
              "url": "",
              "longDescription": "<p>Nextcloud is a suite of client-server software for creating and using file hosting services. It is functionally similar to Dropbox, but is free and open-source, allowing users to install it on private servers.</p><p>Nextcloud provides an array of features including file sharing, syncing, end-to-end encryption, collaboration tools, and more. Its extensible app ecosystem allows you to set up your own cloud storage service to your exact needs. You can also integrate Nextcloud with many known IT infrastructure systems.</p><p>Available for Windows, Linux, MacOS, and other platforms, Nextcloud is designed to work in a variety of environments including both on premise and cloud setups. Start using Nextcloud today to control and secure your own private cloud storage!</p>",
              "tags": [
                "storage",
                "file sharing",
                "syncing",
                "encryption",
                "collaboration",
                "windows",
                "linux",
                "macos",
                "self-hosted",
                "nextcloud"
              ],
              "repository": "https://github.com/nextcloud/server",
              "image": "https://hub.docker.com/r/linuxserver/nextcloud",
              "screenshots": [
                "https://azukaar.github.io/cosmos-servapps-official/servapps/Nextcloud/screenshots/1.png",
                "https://azukaar.github.io/cosmos-servapps-official/servapps/Nextcloud/screenshots/2.png",
                "https://azukaar.github.io/cosmos-servapps-official/servapps/Nextcloud/screenshots/3.jpg"
              ],
              "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Nextcloud/icon.png",
              "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Nextcloud/cosmos-compose.json",
              "supported_architectures": [
                "amd64",
                "arm64"
              ]
            }
          ],
          "all": {
            "cosmos-cloud": [
              {
                "name": "Audiobookshelf",
                "description": "Audiobookshelf is a self-hosted audiobook and podcast server.",
                "url": "",
                "longDescription": "<p>Audiobookshelf is an open-source, self-hosted, audiobook and podcast server. It features an Android and iOS app for streaming your library, multi-user support, storing progress per user, and syncing across devices.</p><p>It also includes various audiobook management services like metadata fetching, chapter editing tools, and media merging.</p>",
                "tags": [
                  "e-book",
                  "library",
                  "audiobook",
                  "open-source",
                  "management",
                  "audiobookshelf",
                  "docker",
                  "linux",
                  "ios",
                  "android"
                ],
                "repository": "https://github.com/advplyr/audiobookshelf",
                "image": "https://hub.docker.com/r/advplyr/audiobookshelf",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Audiobookshelf/screenshots/1.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Audiobookshelf/screenshots/2.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Audiobookshelf/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Audiobookshelf/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Bazarr",
                "description": "Bazarr is an automated subtitle download application designed to complement Sonarr and Radarr. It simplifies the process of finding and downloading subtitles in various languages. Bazarr supports Windows, Linux, MacOS and provides a mobile-friendly web interface. If you're using Sonarr and Radarr, Bazarr can enhance your media management experience.",
                "url": "",
                "longDescription": "<p>Bazarr is a companion application to Sonarr and Radarr that manages and downloads subtitles based on your requirements. It was designed with the aim to make it easier for users to find and download subtitles for their media content.</p><p>Bazarr provides a simple and efficient interface to manage your subtitle collection, supporting many languages and integrating with popular subtitle providers. The software works seamlessly with Sonarr and Radarr to provide a unified experience for managing your media.</p><p>Bazarr supports a variety of platforms including Windows, Linux, and MacOS, and also offers a mobile-friendly web interface. Setting up Bazarr is easy, making it a must-have tool for anyone using Sonarr and Radarr.</p>",
                "tags": [
                  "download",
                  "subtitle",
                  "automation",
                  "downloader",
                  "media",
                  "collection",
                  "sonarr",
                  "radarr",
                  "windows",
                  "linux",
                  "macos",
                  "web interface",
                  "movie management",
                  "media management",
                  "bazarr"
                ],
                "repository": "https://github.com/morpheus65535/bazarr",
                "image": "https://hub.docker.com/r/linuxserver/bazarr",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Bazarr/screenshots/1.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Bazarr/screenshots/2.jpg"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Bazarr/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Bazarr/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Calibre",
                "description": "Calibre is an open-source e-book management tool that allows users to organize, save, and manage e-books of various formats. It supports a wide range of e-book formats and offers features like format conversion, e-book syncing, news feeds from web sources, a built-in e-book viewer, and a server for online access.",
                "url": "",
                "longDescription": "<p>Calibre is a powerful, open-source e-book management tool. It allows users to organize, save and manage e-books of various formats. Calibre supports a wide range of e-book formats including EPUB, Kindle, PDF, and more.</p><p>With its easy-to-use interface, Calibre allows users to convert e-books from different formats, sync e-books with e-book readers, and even provides news feeds from web sources. Calibre also features a built-in e-book viewer and a server for online access to your book collection.</p><p>Calibre is available for a variety of platforms, including Windows, Linux, and MacOS.</p>",
                "tags": [
                  "e-book",
                  "library",
                  "reader",
                  "open-source",
                  "cross-platform",
                  "management",
                  "calibre",
                  "windows",
                  "linux",
                  "macos"
                ],
                "repository": "https://github.com/kovidgoyal/calibre",
                "image": "https://hub.docker.com/r/linuxserver/calibre",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Calibre/screenshots/1.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Calibre/screenshots/2.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Calibre/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Calibre/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Calibre-web",
                "description": "Calibre-web is a web application providing a clean interface for browsing, reading, and downloading eBooks using an existing Calibre database. It offers features like categorization, a browser-based eBook reader, sending eBooks to Kindle devices, user management, and Goodreads integration.",
                "url": "",
                "longDescription": "<p>Calibre-web is a web application providing a clean interface for browsing, reading and downloading eBooks using an existing Calibre database. This software is a fork of the original Calibre web with several additional features and enhancements.</p><p>Calibre-web allows users to sort and categorize eBooks, provides a browser-based eBook reader, and even allows the sending of eBooks to Kindle devices. It also supports user management to control access to the eBook collection and offers the ability to interface with Goodreads for book reviews and recommendations.</p><p>Calibre-web is compatible with Docker and can be used on any platform that supports Docker.</p>",
                "tags": [
                  "e-book",
                  "library",
                  "reader",
                  "web interface",
                  "management",
                  "calibre-web",
                  "docker",
                  "reading",
                  "goodreads",
                  "kindle"
                ],
                "repository": "https://github.com/janeczku/calibre-web",
                "image": "https://hub.docker.com/r/linuxserver/calibre-web",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Calibre-Web/screenshots/1.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Calibre-Web/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Calibre-Web/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Code-Server",
                "description": "Code-Server is an open-source tool that enables running Visual Studio Code on a remote server. It provides a full VS Code experience, secure remote access, and compatibility with VS Code extensions. Code-Server is compatible with Windows, Linux, MacOS, and Docker.",
                "url": "",
                "longDescription": "<p>Code-Server is an open-source project that allows developers to run Visual Studio Code, a popular development environment, on any machine remotely. This makes it possible to code on your cloud server, which can be particularly beneficial when dealing with large datasets, complex computations, or restricted local resources.</p><p>Key features of Code-Server include full Visual Studio Code experience, secure access over SSH or HTTPS, and compatibility with VS Code extensions. It is also designed to be easy to install and get up and running.</p><p>Code-Server is available on various platforms including Windows, Linux, and MacOS, and it supports Docker, making it a highly versatile tool for developers across different environments.</p>",
                "tags": [
                  "development",
                  "visual studio code",
                  "code-server",
                  "open-source",
                  "cross-platform",
                  "VS Code",
                  "development environment",
                  "remote coding",
                  "SSH",
                  "HTTPS",
                  "windows",
                  "linux",
                  "macos",
                  "docker"
                ],
                "repository": "https://github.com/cdr/code-server",
                "image": "https://hub.docker.com/r/codercom/code-server",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/CodeServer/screenshots/1.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/CodeServer/screenshots/2.jpg"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/CodeServer/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/CodeServer/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Deluge",
                "description": "Deluge is a lightweight, open-source BitTorrent client known for its extensibility and low resource demand. It supports multiple BitTorrent protocols, offers a web interface for remote control, and includes features like encryption, peer exchange, speed limits, and proxy support. Deluge is compatible with Windows, Linux, MacOS, and Docker.",
                "url": "",
                "longDescription": "<p>Deluge is a lightweight, open-source BitTorrent client. It's highly extendable via a rich collection of plugins and is noted for its multi-platform compatibility and low resource demand.</p><p>Key features include support for a wide range of BitTorrent protocols, a web interface for remote control, encryption, peer exchange, speed limits, and proxy support. With its intuitive interface, users can easily download and share files via the BitTorrent protocol.</p><p>Deluge is compatible with various platforms, including Windows, Linux, and MacOS, and it supports Docker, making it a highly versatile tool for various environments.</p>",
                "tags": [
                  "download",
                  "torrent",
                  "bittorrent",
                  "cross-platform",
                  "BitTorrent client",
                  "file sharing",
                  "peer-to-peer",
                  "p2p",
                  "encryption",
                  "web interface",
                  "windows",
                  "linux",
                  "macos",
                  "docker"
                ],
                "repository": "https://github.com/deluge-torrent/deluge",
                "image": "https://hub.docker.com/r/linuxserver/deluge",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Deluge/screenshots/1.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Deluge/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Deluge/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Docker Mailserver",
                "description": "Docker Mailserver is a full-featured, open-source mailserver solution that runs on Docker. It supports various protocols such as SMTP, IMAP, POP3, and LDAP, and includes features such as spam protection, antivirus, DKIM signing, and automated SSL/TLS certificates. Docker Mailserver can be run on platforms that support Docker, including Linux, MacOS, and Windows.",
                "url": "",
                "longDescription": "<p>Docker Mailserver is a full-featured, open-source mailserver solution that is designed to run on Docker. It provides a comprehensive set of tools and features needed to run your own mailserver in a production environment.</p><p>Key features of Docker Mailserver include support for various protocols such as SMTP, IMAP, POP3, and LDAP. It also includes SpamAssassin for spam protection, ClamAV for antivirus, Postfix for SMTP, and Dovecot for IMAP/POP3. It also supports DKIM signing to authenticate your email and prevent phishing, and provides automated SSL/TLS certificates via Let's Encrypt.</p><p>Docker Mailserver is designed to be run on any platform that supports Docker, including Linux, MacOS, and Windows.</p>",
                "tags": [
                  "email",
                  "mail server",
                  "SMTP",
                  "docker mailserver",
                  "open-source",
                  "mail server",
                  "docker",
                  "IMAP",
                  "POP3",
                  "LDAP",
                  "spam protection",
                  "antivirus",
                  "DKIM",
                  "SSL/TLS",
                  "linux",
                  "macos",
                  "windows"
                ],
                "repository": "https://github.com/docker-mailserver/docker-mailserver",
                "image": "https://hub.docker.com/r/mailserver/docker-mailserver",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/DockerMailServer/screenshots/1.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/DockerMailServer/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/DockerMailServer/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Dozzle",
                "description": "Dozzle is a real-time log viewer for docker containers.",
                "url": "",
                "longDescription": "<p>Dozzle is a small lightweight application with a web based interface to monitor Docker logs. It doesn’t store any log files. It is for live monitoring of your container logs only.</p>",
                "tags": [
                  "dozzle",
                  "open-source",
                  "self-hosted",
                  "log viewer"
                ],
                "repository": "https://github.com/amir20/dozzle",
                "image": "https://hub.docker.com/r/amir20/dozzle",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Dozzle/screenshots/1.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Dozzle/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Dozzle/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Duplicati",
                "description": "Duplicati is an open-source backup software that creates, encrypts, and stores backups of your files. It offers AES-256 encryption, incremental backups, scheduling, automated backups, and backup verification. Duplicati is compatible with Windows, Linux, MacOS, and Docker.",
                "url": "",
                "longDescription": "<p>Duplicati is an open-source backup software designed to secure your data by creating, encrypting, and storing backups of your files. It can backup your files to local drives or various online storage services.</p><p>Key features of Duplicati include AES-256 encryption, incremental backups, scheduling, and automated backups. It also supports backup verification, ensuring that your files are not corrupted or lost. Its web-based interface makes it easy to manage and schedule your backups.</p><p>Duplicati is compatible with various platforms, including Windows, Linux, and MacOS, and it supports Docker, making it a versatile tool for various environments.</p>",
                "tags": [
                  "backup",
                  "automation",
                  "encryption",
                  "open-source",
                  "cross-platform",
                  "backup",
                  "encryption",
                  "scheduling",
                  "automated backup",
                  "windows",
                  "linux",
                  "macos",
                  "docker"
                ],
                "repository": "https://github.com/duplicati/duplicati",
                "image": "https://hub.docker.com/r/duplicati/duplicati",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Duplicati/screenshots/1.jpg",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Duplicati/screenshots/2.jpg"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Duplicati/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Duplicati/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Emby",
                "description": "Emby(https://emby.media/) organizes video, music, live TV, and photos from personal media libraries and streams them to smart TVs, streaming boxes and mobile devices. This container is packaged as a standalone emby Media Server.",
                "url": "",
                "longDescription": "<p>Emby is an open-source media system that gives you the power to control the management and streaming of your media content. It offers an alternative to proprietary systems like Plex, empowering users to deliver media content from a dedicated server to various end-user devices through a range of apps.</p><p>Key features of Emby include the ability to stream movies, TV shows, music, photos, videos, audiobooks, and podcasts. It also supports various technologies and platforms such as DLNA, Chromecast, Android, iOS, Roku, FireTV, SmartTV, Web browser and Kodi. Emby essentially functions as a comprehensive media browser, server, streaming system, player, center, manager, organizer, and library. In addition to these, it also facilitates media sharing, transcoding, and casting, offering a robust solution for your media needs.</p>",
                "tags": [
                  "media",
                  "server",
                  "streaming",
                  "movies",
                  "tv",
                  "music",
                  "photos",
                  "videos",
                  "audiobooks",
                  "podcasts",
                  "dlna",
                  "chromecast",
                  "android",
                  "ios",
                  "roku",
                  "firetv",
                  "smarttv",
                  "web",
                  "browser",
                  "kodi",
                  "emby",
                  "plex",
                  "media browser",
                  "media server",
                  "media streaming",
                  "media player",
                  "media center",
                  "media management",
                  "media organizer",
                  "media collection",
                  "media library",
                  "media manager",
                  "media sharing",
                  "media transcoding",
                  "media casting",
                  "media casting",
                  "media casting"
                ],
                "repository": "https://github.com/linuxserver/docker-emby",
                "image": "https://hub.docker.com/r/linuxserver/emby",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Emby/screenshots/1.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Emby/screenshots/2.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Emby/screenshots/3.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Emby/screenshots/4.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Emby/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Emby/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Emulator-JS",
                "description": "Emulator-JS is an open-source, in-browser multi-system emulator. It allows users to play games from various console systems directly in the browser, facilitated by an intuitive ROM management system. Emulator-JS can be used on any platform that supports a modern web browser, such as Windows, Linux, MacOS, and mobile devices.",
                "url": "",
                "longDescription": "<p>Emulator-JS is an open-source, in-browser multi-system emulator. It leverages JavaScript to emulate a wide range of gaming consoles, creating a convenient, accessible, and platform-agnostic gaming experience.</p><p>Key features of Emulator-JS include compatibility with multiple console systems, an intuitive ROM management system, and the ability to save game states. Because it's browser-based, Emulator-JS eliminates the need for complex installations or system-specific emulators.</p><p>As Emulator-JS runs directly in the browser, it can be used on any platform that supports a modern web browser, including Windows, Linux, MacOS, and even mobile devices. This makes it highly versatile for users across different environments.</p>",
                "tags": [
                  "gaming",
                  "emulation",
                  "web",
                  "open-source",
                  "cross-platform",
                  "emulator",
                  "in-browser",
                  "gaming",
                  "rom management",
                  "javascript",
                  "windows",
                  "linux",
                  "macos",
                  "mobile"
                ],
                "repository": "https://github.com/EmulatorJS/EmulatorJS",
                "image": "https://hub.docker.com/r/linuxserver/emulatorjs",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Emulator-JS/screenshots/1.jpg",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Emulator-JS/screenshots/2.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Emulator-JS/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Emulator-JS/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Filebrowser",
                "description": "Filebrowser is an open-source, self-hosted web application for managing files within your server. It offers features like custom commands, user and permissions management, shareable links, built-in text editor, and media file previews. Filebrowser can be run on any platform that supports Go, including various Linux distributions, Windows, MacOS, and Docker.",
                "url": "",
                "longDescription": "<p>Filebrowser is an open-source, self-hosted web application for managing files within your server's file system. The application provides a user-friendly interface, making it simple to navigate, upload, download, and manage your files.</p><p>Key features of Filebrowser include support for custom commands, user and permissions management, shareable links, and a built-in text editor. It also supports various media file previews, including video and image file formats.</p><p>Filebrowser is designed to run on any platform that supports Go, including various Linux distributions, Windows, and MacOS. Additionally, it can be easily deployed using Docker.</p>",
                "tags": [
                  "filebrowser",
                  "open-source",
                  "self-hosted",
                  "file management",
                  "custom commands",
                  "permissions management",
                  "shareable links",
                  "text editor",
                  "media previews",
                  "go",
                  "linux",
                  "windows",
                  "macos",
                  "docker"
                ],
                "repository": "https://github.com/filebrowser/filebrowser",
                "image": "https://hub.docker.com/r/filebrowser/filebrowser",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Filebrowser/screenshots/1.gif"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Filebrowser/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Filebrowser/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "FreshRSS",
                "description": "FreshRSS is an open-source, self-hosted RSS feed aggregator that is lightweight and easy to use. Features include a responsive design, import/export OPML files, multiple themes, filters, categories, multi-user support, and extensibility with plugins. FreshRSS is compatible with Windows, Linux, MacOS, and Docker.",
                "url": "",
                "longDescription": "<p>FreshRSS is an open-source, self-hosted RSS feed aggregator. It is lightweight, easy to use, and packed with features. FreshRSS lets you collect, manage, and read your RSS feeds from your own server, offering a high degree of control and privacy.</p><p>Key features include a responsive design that works well on desktop and mobile devices, the ability to import/export OPML files, multiple themes, filters, categories, and multi-user support with the ability to manage user roles. Furthermore, it's extensible with plugins for additional functionalities.</p><p>FreshRSS is compatible with various platforms, including Windows, Linux, and MacOS, and it supports Docker, making it a highly versatile tool for various environments.</p>",
                "tags": [
                  "RSS",
                  "feed aggregator",
                  "news",
                  "freshrss",
                  "open-source",
                  "self-hosted",
                  "responsive",
                  "OPML",
                  "multi-user",
                  "windows",
                  "linux",
                  "macos",
                  "docker"
                ],
                "repository": "https://github.com/FreshRSS/FreshRSS",
                "image": "https://hub.docker.com/r/linuxserver/freshrss",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/FreshRSS/screenshots/1.jpg"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/FreshRSS/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/FreshRSS/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Gitea",
                "description": "Gitea is a lightweight, open-source Git platform for self-hosted repository management, code collaboration, and issue tracking. It offers an intuitive interface, powerful access control, and integrations with popular development tools.",
                "url": "",
                "longDescription": "<p>Gitea is a lightweight, open-source Git platform that provides a self-hosted solution for managing repositories, collaborative code reviews, and issue tracking.</p><p>With Gitea, you can easily create and manage Git repositories, track changes, collaborate with team members, and streamline your software development workflow. It offers a simple and intuitive user interface, powerful access control, and a range of features such as code highlighting, pull requests, and issue management.</p><p>Gitea is written in Go and is designed to be lightweight, fast, and easy to deploy. It supports multiple authentication methods, including built-in user accounts, LDAP, and OAuth. Gitea also provides integrations with popular development tools and services.</p><p>Whether you're a small team or a large organization, Gitea provides a flexible and customizable platform for hosting your Git repositories and managing your software projects.</p>",
                "tags": [
                  "development",
                  "git",
                  "repository management",
                  "code collaboration",
                  "issue tracking",
                  "go",
                  "self-hosted",
                  "gitea"
                ],
                "repository": "https://github.com/go-gitea/gitea",
                "image": "https://hub.docker.com/r/gitea/gitea",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Gitea/screenshots/1.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Gitea/screenshots/2.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Gitea/screenshots/3.jpg"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Gitea/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Gitea/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Grav",
                "description": "Grav is an open-source, self-hosted, flat-file content management system (CMS). It offers features like content filtering, multi-language support, flexible templating with Twig, and simple content creation with Markdown. Grav can be extended with plugins and themes. It can be run on Windows, Linux, MacOS, and Docker.",
                "url": "",
                "longDescription": "<p>Grav is an open-source, self-hosted, flat-file content management system (CMS). Unlike traditional CMS platforms, Grav does not use a database to store content, making it incredibly lightweight and easy to manage.</p><p>Key features of Grav include powerful content filtering, multi-language support, flexible templating with Twig, and simple content creation process with Markdown. Its extendibility with a rich ecosystem of plugins and themes, plus a strong focus on performance, makes Grav a versatile platform for creating all kinds of websites.</p><p>Grav is compatible with various platforms, including Windows, Linux, MacOS, and it supports Docker, making it a highly versatile tool for various environments.</p>",
                "tags": [
                  "web",
                  "blog",
                  "code",
                  "open-source",
                  "self-hosted",
                  "CMS",
                  "flat-file",
                  "content management",
                  "twig",
                  "markdown",
                  "windows",
                  "linux",
                  "macos",
                  "docker"
                ],
                "repository": "https://github.com/getgrav/grav",
                "image": "https://hub.docker.com/r/getgrav/grav",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Grav/screenshots/1.jpg"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Grav/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Grav/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Grocy",
                "description": "Grocy is a self-hosted, open-source grocery management solution offering features like stock management with a barcode scanner, recipe management, household chore management, and tracking of purchased items with expiration dates. Grocy is compatible with Windows, Linux, MacOS, and Docker.",
                "url": "",
                "longDescription": "<p>Grocy is a self-hosted, open-source grocery management solution designed to help users manage their groceries. It provides a suite of tools for managing shopping lists, recipes, inventory, and chores.</p><p>Key features include stock management with a barcode scanner, recipe management, household chore management, and tracking of purchased items with expiration dates. Grocy helps users to avoid waste by providing reminders about due dates of perishable items.</p><p>Grocy is compatible with various platforms, including Windows, Linux, MacOS, and it supports Docker, making it a highly versatile tool for various environments.</p>",
                "tags": [
                  "life",
                  "groceries",
                  "list",
                  "open-source",
                  "self-hosted",
                  "grocery",
                  "management",
                  "shopping list",
                  "inventory",
                  "recipes",
                  "chores",
                  "windows",
                  "linux",
                  "macos",
                  "docker"
                ],
                "repository": "https://github.com/grocy/grocy",
                "image": "https://hub.docker.com/r/linuxserver/grocy",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Grocy/screenshots/1.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Grocy/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Grocy/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Handbrake",
                "description": "HandBrake is a tool for converting video from nearly any format to a selection of modern, widely supported codecs.",
                "url": "",
                "longDescription": "<p>This project implements a Docker container for <a href=https://handbrake.fr/ target=_blank>HandBrake</a>.</p><p>The GUI of the application is accessed through a modern web browser (no installation or configuration needed on the client side) or via any VNC client.</p><p>A fully automated mode is also available: drop files into a watch folder and let HandBrake process them without any user interaction.</p><p>Full documentation is available at <a href=https://github.com/jlesage/docker-handbrake target=_blank>https://github.com/jlesage/docker-handbrake</a>.</p>",
                "tags": [
                  "media",
                  "video",
                  "conversion"
                ],
                "repository": "https://github.com/jlesage/docker-handbrake",
                "image": "https://hub.docker.com/r/jlesage/handbrake",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Handbrake/screenshots/1.jpg",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Handbrake/screenshots/2.jpg"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Handbrake/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Handbrake/cosmos-compose.json",
                "supported_architectures": [
                  "amd64"
                ]
              },
              {
                "name": "Heimdall",
                "description": "Heimdall is an open-source, self-hosted dashboard software that provides a central hub for web-based applications and services. Features include a built-in application library, custom themes, multi-user support, and compatibility with desktop and mobile browsers. Heimdall is compatible with Windows, Linux, MacOS, and Docker.",
                "url": "",
                "longDescription": "<p>Heimdall is an open-source, self-hosted dashboard software that allows you to organize and access your web-based applications and services all in one place. It's designed to provide a central hub to simplify your web environment.</p><p>Key features of Heimdall include the ability to add applications via a built-in library or by creating custom application definitions, custom themes, and the capacity to run on a desktop or mobile browser. It supports multiple users and each user can have their own personalized set of applications.</p><p>Heimdall is compatible with various platforms, including Windows, Linux, MacOS, and it supports Docker, making it a highly versatile tool for various environments.</p>",
                "tags": [
                  "dashboard",
                  "home",
                  "icons",
                  "open-source",
                  "self-hosted",
                  "web-based applications",
                  "services",
                  "central hub",
                  "multi-user",
                  "windows",
                  "linux",
                  "macos",
                  "docker"
                ],
                "repository": "https://github.com/linuxserver/Heimdall",
                "image": "https://hub.docker.com/r/linuxserver/heimdall",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Heimdall/screenshots/1.jpg",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Heimdall/screenshots/2.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Heimdall/screenshots/3.jpg"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Heimdall/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Heimdall/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Homarr",
                "description": "Homarr is an open-source, self-hosted dashboard software that provides a central hub for web-based applications and services. Features include a built-in application library, custom themes, multi-user support, and compatibility with desktop and mobile browsers. Homarr is compatible with Windows, Linux, MacOS, and Docker.",
                "url": "",
                "longDescription": "<p>Homarr is an open-source, self-hosted dashboard software that allows you to organize and access your web-based applications and services all in one place. It's designed to provide a central hub to simplify your web environment.</p><p>Key features of Homarr include the ability to add applications via a built-in library or by creating custom application definitions, custom themes, and the capacity to run on a desktop or mobile browser. It supports multiple users and each user can have their own personalized set of applications.</p><p>Homarr is compatible with various platforms, including Windows, Linux, MacOS, and it supports Docker, making it a highly versatile tool for various environments.</p>",
                "tags": [
                  "dashboard",
                  "home",
                  "icons",
                  "open-source",
                  "self-hosted",
                  "web-based applications",
                  "services",
                  "central hub",
                  "multi-user",
                  "windows",
                  "linux",
                  "macos",
                  "docker"
                ],
                "repository": "https://github.com/ajnart/homarr",
                "image": "https://hub.docker.com/r/homarr",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Homarr/screenshots/1.jpg",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Homarr/screenshots/2.webp"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Homarr/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Homarr/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Home Assistant",
                "description": "Home Assistant is an open-source home automation platform that focuses on privacy and local control. It allows you to control all your devices from a single interface, integrating with a large number of devices and services. Home Assistant offers advanced automation capabilities, running perfectly on a Raspberry Pi or a local server. Start using Home Assistant today for a comprehensive home automation solution.",
                "url": "",
                "longDescription": "<p>Home Assistant is an open-source home automation platform focused on privacy and local control. It allows you to control all your devices from a single, unified interface. It is powered by a worldwide community of tinkerers and DIY enthusiasts, perfect to run on a Raspberry Pi or a local server.</p><p>Home Assistant integrates with a large number of different devices and services, providing the user with a powerful and flexible home automation control center. In addition to its powerful, flexible features, it provides advanced automation capabilities to help make your life easier.</p><p>With support for a vast array of devices and services, Home Assistant can be the one-stop solution for all your home automation needs. Get started with Home Assistant today and take control of your home automation!</p>",
                "tags": [
                  "smart home",
                  "home automation",
                  "IoT",
                  "Raspberry Pi",
                  "local server",
                  "privacy",
                  "control",
                  "automation",
                  "devices",
                  "services",
                  "home assistant"
                ],
                "repository": "https://github.com/home-assistant/core",
                "image": "https://hub.docker.com/r/homeassistant/home-assistant",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/HomeAssistant/screenshots/1.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/HomeAssistant/screenshots/2.jpg",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/HomeAssistant/screenshots/3.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/HomeAssistant/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/HomeAssistant/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Homebox",
                "description": "Homebox is the inventory and organization system built for the Home User.",
                "url": "",
                "longDescription": "<p>Homebox is the inventory and organization system built for the Home User! With a focus on simplicity and ease of use, Homebox is the perfect solution for your home inventory, organization, and management needs.</p>",
                "tags": [
                  "home",
                  "homebox",
                  "organization",
                  "inventory",
                  "management",
                  "docker",
                  "linux"
                ],
                "repository": "https://github.com/hay-kot/homebox",
                "image": "https://ghcr.io/hay-kot/homebox:latest",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Homebox/screenshots/1.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Homebox/screenshots/2.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Homebox/screenshots/3.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Homebox/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Homebox/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Immich",
                "description": "Immich - High performance self-hosted photo and video backup solution",
                "url": "",
                "longDescription": "<p>Immich is an open-source personal photo management tool that makes use of the latest technologies to provide an easy and intuitive way to keep your photos organized. It provides a web-based platform to browse, organize, and share your personal photo collection.</p><p>With features like smart search, automated tagging, and geolocation, Immich makes it easy to find and group your photos. It supports various image formats and RAW files from high-quality cameras. Immich can also automatically generate thumbnails and convert RAW images.</p><p>Available for Windows, Linux, MacOS, and other platforms, Immich offers a private, self-hosted solution for your photo management needs. Start using Immich today to take control of your photo collection!</p>",
                "tags": [
                  "photo management",
                  "image organizer",
                  "smart search",
                  "automated tagging",
                  "geolocation",
                  "thumbnails",
                  "RAW images",
                  "self-hosted",
                  "windows",
                  "linux",
                  "macos",
                  "Immich"
                ],
                "repository": "https://github.com/Immich/Immich",
                "image": "https://hub.docker.com/r/Immich/Immich",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Immich/screenshots/1.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Immich/screenshots/2.webp",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Immich/screenshots/3.jpg"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Immich/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Immich/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Jellyfin",
                "description": "Jellyfin is a Free Software Media System that puts you in control of managing and streaming your media. It is an alternative to the proprietary Plex, to provide media from a dedicated server to end-user devices via multiple apps.",
                "url": "",
                "longDescription": "<p>Jellyfin is an open-source media system that gives you the power to control the management and streaming of your media content. It offers an alternative to proprietary systems like Plex, empowering users to deliver media content from a dedicated server to various end-user devices through a range of apps.</p><p>Key features of Jellyfin include the ability to stream movies, TV shows, music, photos, videos, audiobooks, and podcasts. It also supports various technologies and platforms such as DLNA, Chromecast, Android, iOS, Roku, FireTV, SmartTV, Web browser, Kodi, and Emby. Jellyfin essentially functions as a comprehensive media browser, server, streaming system, player, center, manager, organizer, and library. In addition to these, it also facilitates media sharing, transcoding, and casting, offering a robust solution for your media needs.</p>",
                "tags": [
                  "media",
                  "server",
                  "streaming",
                  "movies",
                  "tv",
                  "music",
                  "photos",
                  "videos",
                  "audiobooks",
                  "podcasts",
                  "dlna",
                  "chromecast",
                  "android",
                  "ios",
                  "roku",
                  "firetv",
                  "smarttv",
                  "web",
                  "browser",
                  "kodi",
                  "emby",
                  "plex",
                  "media browser",
                  "media server",
                  "media streaming",
                  "media player",
                  "media center",
                  "media management",
                  "media organizer",
                  "media collection",
                  "media library",
                  "media manager",
                  "media sharing",
                  "media transcoding",
                  "media casting",
                  "media casting",
                  "media casting"
                ],
                "repository": "https://github.com/jellyfin/jellyfin",
                "image": "https://hub.docker.com/r/linuxserver/jellyfin",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Jellyfin/screenshots/1.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Jellyfin/screenshots/2.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Jellyfin/screenshots/3.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Jellyfin/screenshots/4.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Jellyfin/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Jellyfin/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Jellyseerr",
                "description": "Jellyseerr is a free and open source software application for managing requests for your media library. It is a a fork of Overseerr built to bring support for Jellyfin & Emby media servers!",
                "url": "",
                "longDescription": "<p>Jellyseerr is a free and open source software application for managing requests for your media library. It is a a fork of Overseerr built to bring support for Jellyfin & Emby media servers!</p>",
                "tags": [
                  "media",
                  "request",
                  "library",
                  "open-source",
                  "self-hosted",
                  "web application",
                  "plex",
                  "emby",
                  "jellyfin",
                  "request system",
                  "media content",
                  "windows",
                  "linux",
                  "macos",
                  "docker",
                  "radarr",
                  "sonarr"
                ],
                "repository": "https://github.com/Fallenbagel/jellyseerr",
                "image": "https://hub.docker.com/r/fallenbagel/jellyseerr",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Jellyseerr/screenshots/1.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Jellyseerr/screenshots/2.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Jellyseerr/screenshots/3.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Jellyseerr/screenshots/4.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Jellyseerr/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Jellyseerr/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Joplin",
                "description": "Joplin is a free, open-source note-taking and to-do application that supports markdown and end-to-end encryption. It offers capabilities such as tagging, searching, and modifying notes, and can sync with various cloud platforms. It features an extensible plugin system, allowing for tailored functionality. Joplin is compatible across multiple platforms including Windows, Linux, MacOS, iOS, and Android.",
                "url": "",
                "longDescription": "<p>Joplin is a free and open-source note-taking and to-do application, which can handle a large number of notes organised into notebooks. The notes are searchable, can be copied, tagged and modified directly from the applications or from your own text editor. It also supports markdown, with inline previewing.</p><p>Joplin offers end-to-end encryption and can synchronize with various cloud platforms, making it a secure choice for your note-taking needs. With its API, Joplin can be extended with plugins for custom functionality, further tailoring your note management experience.</p><p>Available for Windows, Linux, MacOS, iOS, and Android, Joplin is flexible to fit a variety of environments and workflows. Start using Joplin today to organize your thoughts and tasks in a secure and efficient manner!</p>",
                "tags": [
                  "productivity",
                  "note-taking",
                  "to-do",
                  "markdown",
                  "encryption",
                  "syncing",
                  "windows",
                  "linux",
                  "macos",
                  "ios",
                  "android",
                  "self-hosted",
                  "joplin"
                ],
                "repository": "https://github.com/laurent22/joplin",
                "image": "https://hub.docker.com/r/joplin/server",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Joplin/screenshots/1.jpg",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Joplin/screenshots/2.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Joplin/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Joplin/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "KitchenOwl",
                "description": "KitchenOwl helps you organize your grocery life.",
                "url": "",
                "longDescription": "<p>KitchenOwl is a smart grocery list and recipe manager.</p><p>Easily add items to your shopping list before you go shopping. You can also create recipes and get suggestions on what you want to cook.</p><p>Track your expenses so you know how much you've spent.</p>",
                "tags": [
                  "recipes",
                  "meals",
                  "shopping",
                  "planning",
                  "expenses",
                  "docker"
                ],
                "repository": "https://github.com/tombursch/kitchenowl",
                "image": "https://hub.docker.com/r/tombursch/kitchenowl",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Kitchenowl/screenshots/1.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Kitchenowl/screenshots/2.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Kitchenowl/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Kitchenowl/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "LSDVR",
                "description": "Automatic VOD recording",
                "url": "",
                "longDescription": "Automatic VOD recording around when the stream goes live, instead of checking it every minute like many other scripts do. Because of notification delays, the stream usually starts capturing after ~2 minutes after the stream goes live. Cyclic recording, as in when a specified amount or storage per streamer is reached, the oldest stream gets deleted. Tons of metadata, maybe too much. Stores info about games played, stream titles, duration, if the stream got muted from copyrighted music, etc. Viewer count logging with graphs. Chapters (titles and games) are written to the final video file. <a href='https://github.com/MrBrax/twitch-vod-chat'>Video player</a> with chat playback. Video cutter with chapter display for easy exporting, also cuts the downloaded chat for synced rendering. Notifications with optional speech when the website is open, get stream live notifications far earlier than the mobile app does. Writes a <a href='https://github.com/mifi/lossless-cut/'>losslesscut</a> compatible csv file for the full VOD, so you don't have to find all the games. Uses `ts` instead of `mp4` so if the stream or program crashes, the file won't be corrupted. Audio only support. Optionally either dumps chat while capturing or downloads the chat file after it's done. Basic tools for downloading any VOD, chat, or clip. Can be set to automatically download the whole stream chat to a JSON file, to be used in my <a href='https://github.com/MrBrax/twitch-vod-chat'>twitch-vod-chat</a> webapp or automatically burned in with <a href='https://github.com/lay295/TwitchDownloader'>TwitchDownloader</a>. Basic webhook support for external scripting. Notifications over the browser, telegram, pushover, and discord. Mobile friendly site with PWA. Exporting of videos to external file, SFTP, and YouTube. Can be enabled for all finished captures Can be run for an entire channel at once</p>",
                "tags": [
                  "twitch",
                  "youtube",
                  "download",
                  "videos",
                  "vod",
                  "media"
                ],
                "repository": "https://github.com/alexta69/metube",
                "image": "https://github.com/alexta69/metube/pkgs/container/metube",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/LSDVR/screenshots/1.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/LSDVR/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/LSDVR/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Lemmy",
                "description": "Lemmy is an open-source, self-hosted, federated link aggregator similar to Reddit. It offers community formation, moderation tools, content voting, and supports commenting and private messaging between users. Lemmy can be run on Windows, Linux, MacOS, and Docker.",
                "url": "",
                "longDescription": "<p>Lemmy is an open-source, self-hosted, federated link aggregator application similar to Reddit, which allows users to create their own communities and share links and posts with others.</p><p>Key features of Lemmy include its ability to form federated link-aggregator communities, moderation tools, and the ability to vote on content. It also supports commenting and private messaging between users. Lemmy is designed to consume minimal resources and can be easily self-hosted on small servers.</p><p>Lemmy is compatible with various platforms, including Windows, Linux, MacOS, and it supports Docker, making it a highly versatile tool for various environments.</p>",
                "tags": [
                  "social",
                  "federation",
                  "reddit",
                  "open-source",
                  "self-hosted",
                  "federated",
                  "link aggregator",
                  "community",
                  "moderation",
                  "content voting",
                  "windows",
                  "linux",
                  "macos",
                  "docker"
                ],
                "repository": "https://github.com/LemmyNet/lemmy",
                "image": "https://hub.docker.com/r/dessalines/lemmy",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Lemmy/screenshots/1.jpg",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Lemmy/screenshots/2.webp"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Lemmy/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Lemmy/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Lidarr",
                "description": "Lidarr is an automated music manager for maintaining your music library. It does this by finding and automatically downloading your desired music tracks. It integrates with popular download clients and supports metadata fetching from multiple music databases. With Lidarr, your music downloading and organization process can be streamlined and automated. It supports various platforms and has a mobile-friendly web interface for easy access. Get started with Lidarr now and enhance your music management experience!",
                "url": "",
                "longDescription": "<p>Lidarr is an automated music collection manager that can find, add, and manage music in your collection. With Lidarr, you can automatically search for new albums and singles from your favorite artists, and automatically download them to your media server. It is integrated with popular download clients and supports multiple music databases for metadata fetching.</p><p>Lidarr is a perfect solution for those who want to automate their music downloading and organization process. It is available for various platforms including Windows, Linux, and MacOS, and has a mobile-friendly web interface that works across different devices.</p><p>Setting up Lidarr is straightforward. Whether you are an audiophile with a large collection or someone who just loves listening to music, Lidarr can transform your music management experience!</p>",
                "tags": [
                  "download",
                  "torrent",
                  "music",
                  "usenet",
                  "automation",
                  "manager",
                  "media",
                  "collection",
                  "download",
                  "metadata",
                  "windows",
                  "linux",
                  "macos",
                  "web interface",
                  "streaming",
                  "music library",
                  "music database",
                  "music management",
                  "music collection",
                  "lidarr"
                ],
                "repository": "https://github.com/lidarr/Lidarr",
                "image": "https://hub.docker.com/r/linuxserver/lidarr",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Lidarr/screenshots/1.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Lidarr/screenshots/2.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Lidarr/screenshots/3.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Lidarr/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Lidarr/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "MKVToolNix",
                "description": "MKVToolNix is a set of tools to create, alter and inspect Matroska files.",
                "url": "",
                "longDescription": "<p>This project implements a Docker container for MKVToolNix.</p><p>The GUI of the application is accessed through a modern web browser (no installation or configuration needed on the client side) or via any VNC client.</p>",
                "tags": [
                  "media",
                  "video",
                  "conversion"
                ],
                "repository": "https://github.com/jlesage/docker-mkvtoolnix",
                "image": "https://hub.docker.com/r/jlesage/mkvtoolnix",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/MKVToolNix/screenshots/1.jpeg",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/MKVToolNix/screenshots/2.jpeg"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/MKVToolNix/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/MKVToolNix/cosmos-compose.json",
                "supported_architectures": [
                  "amd64"
                ]
              },
              {
                "name": "Mastodon",
                "description": "Mastodon is a free and open-source self-hosted social networking service. It features decentralization, ability to build your own community, per-post privacy settings, anti-abuse tools, and supports multimedia attachments. Mastodon can be run on any platform that supports Ruby, Node.js, and PostgreSQL, including various Linux distributions and Docker.",
                "url": "",
                "longDescription": "<p>Mastodon is a free and open-source self-hosted social networking service. It allows anyone to host their own server node in the network, while interacting with other users in a federated manner. It is similar to Twitter, but is distinguished by its decentralization and ability for users to host their own servers, and its character limit of 500 as opposed to Twitter's 280.</p><p>Key features of Mastodon include the ability to build your own community, granular, per-post privacy settings, and anti-abuse tools. It supports a rich variety of multimedia attachments in posts, and you can also choose to use content warnings on your posts for viewer discretion.</p><p>Mastodon can be run on any platform that supports Ruby, Node.js, and PostgreSQL, including various Linux distributions and Docker.</p>",
                "tags": [
                  "social",
                  "federation",
                  "reddit",
                  "open-source",
                  "self-hosted",
                  "federated",
                  "link aggregator",
                  "community",
                  "moderation",
                  "content voting",
                  "windows",
                  "linux",
                  "macos",
                  "docker"
                ],
                "repository": "https://github.com/tootsuite/mastodon",
                "image": "https://hub.docker.com/r/tootsuite/mastodon",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Mastodon/screenshots/1.jpg",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Mastodon/screenshots/2.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Mastodon/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Mastodon/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "MeTube",
                "description": "youtube-dl web UI",
                "url": "",
                "longDescription": "<p>Web GUI for youtube-dl (using the yt-dlp fork) with playlist support. Allows you to download videos from YouTube and dozens of other sites.</p>",
                "tags": [
                  "youtube",
                  "youtube-dl",
                  "download",
                  "videos",
                  "music",
                  "media"
                ],
                "repository": "https://github.com/alexta69/metube",
                "image": "https://github.com/alexta69/metube/pkgs/container/metube",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/MeTube/screenshots/1.gif"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/MeTube/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/MeTube/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Mealie",
                "description": "Recipe Management For The Modern Household",
                "url": "",
                "longDescription": "<p>Mealie is an intuitive and easy to use recipe management app. It's designed to make your life easier by being the best recipes management experience on the web and providing you with an easy to use interface to manage your growing collection of recipes. </p><p>Default Password is: MyPassword</p>",
                "tags": [
                  "recipes",
                  "meals",
                  "shopping",
                  "planning",
                  "cookbook",
                  "docker",
                  "pwa"
                ],
                "repository": "https://github.com/mealie-recipes/mealie",
                "image": "https://hub.docker.com/r/hkotel/mealie/",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Mealie/screenshots/1.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Mealie/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Mealie/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Minecraft",
                "description": "Minecraft is a sandbox video game developed by Mojang Studios that allows players to explore, interact with, and modify a dynamically-generated map made of blocks. Players can build structures, craft items, and interact with the game world in a variety of ways. The game supports multiple gameplay styles and modes, and is available on a wide range of platforms.",
                "url": "",
                "longDescription": "<p>Minecraft is a highly popular and critically acclaimed sandbox video game developed by Mojang Studios. It allows players to explore a blocky, procedurally generated 3D world with virtually infinite terrain, and may discover and extract raw materials, craft tools and items, build structures, and interact with the game's various entities.</p><p>Gameplay involves players interacting with the game world by placing and breaking various types of blocks in a three-dimensional environment. In this environment, players can build creative structures, creations, and artwork on multiplayer servers and singleplayer worlds across multiple game modes. Minecraft supports a wide range of gameplay styles, including survival mode, creative mode, adventure mode, and spectator mode.</p><p>Minecraft is available on multiple platforms, including Windows, MacOS, Linux, and various consoles and mobile devices.</p>",
                "tags": [
                  "game servers",
                  "mojang",
                  "sandbox",
                  "game",
                  "procedurally generated",
                  "3D",
                  "multiplayer",
                  "singleplayer",
                  "survival",
                  "creative",
                  "adventure",
                  "spectator",
                  "windows",
                  "macos",
                  "linux",
                  "console",
                  "mobile"
                ],
                "repository": "https://www.minecraft.net/",
                "image": "https://www.minecraft.net/en-us/about-minecraft",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Minecraft-Server/screenshots/1.webp"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Minecraft-Server/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Minecraft-Server/cosmos-compose.json",
                "supported_architectures": [
                  "x86",
                  "amd64",
                  "arm",
                  "arm64"
                ]
              },
              {
                "name": "NZBGet",
                "description": "NZBGet is a high-performance Usenet downloader that uses NZB files to fetch content. It is designed to use minimal system resources while offering features such as a web-interface, API, automatic post-processing, and RSS feed support. NZBGet works well on various platforms including low powered devices. Start using NZBGet for your Usenet downloads today!",
                "url": "",
                "longDescription": "<p>NZBGet is a robust and lightweight Usenet downloader. It can download files from Usenet servers via NZB index files. The software is focused on performance and uses very little system resources, while achieving high download speeds.</p><p>NZBGet offers a variety of features including web-interface, API, automatic post-processing, RSS feed support, and more. It is also designed to work well on low powered devices like Raspberry Pi.</p><p>Available on multiple platforms including Windows, MacOS, Linux, and others, NZBGet is easy to set up and use. Start using NZBGet today for efficient Usenet downloading!</p>",
                "tags": [
                  "download",
                  "torrent",
                  "usenet",
                  "downloader",
                  "nzb",
                  "windows",
                  "linux",
                  "macos",
                  "raspberry pi",
                  "performance",
                  "rss feed",
                  "post-processing",
                  "nzbget"
                ],
                "repository": "https://github.com/nzbget/nzbget",
                "image": "https://hub.docker.com/r/linuxserver/nzbget",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/NZBGet/screenshots/1.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/NZBGet/screenshots/2.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/NZBGet/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/NZBGet/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Nextcloud",
                "description": "Nextcloud is an open-source, self-hosted file share and collaboration platform, similar to Dropbox. It offers features such as file sharing, syncing, encryption, and collaboration tools. With its extensible app ecosystem, you can tailor your cloud storage service to your needs. Nextcloud is compatible with numerous platforms and can be integrated with many IT infrastructure systems.",
                "url": "",
                "longDescription": "<p>Nextcloud is a suite of client-server software for creating and using file hosting services. It is functionally similar to Dropbox, but is free and open-source, allowing users to install it on private servers.</p><p>Nextcloud provides an array of features including file sharing, syncing, end-to-end encryption, collaboration tools, and more. Its extensible app ecosystem allows you to set up your own cloud storage service to your exact needs. You can also integrate Nextcloud with many known IT infrastructure systems.</p><p>Available for Windows, Linux, MacOS, and other platforms, Nextcloud is designed to work in a variety of environments including both on premise and cloud setups. Start using Nextcloud today to control and secure your own private cloud storage!</p>",
                "tags": [
                  "storage",
                  "file sharing",
                  "syncing",
                  "encryption",
                  "collaboration",
                  "windows",
                  "linux",
                  "macos",
                  "self-hosted",
                  "nextcloud"
                ],
                "repository": "https://github.com/nextcloud/server",
                "image": "https://hub.docker.com/r/linuxserver/nextcloud",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Nextcloud/screenshots/1.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Nextcloud/screenshots/2.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Nextcloud/screenshots/3.jpg"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Nextcloud/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Nextcloud/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Notifiarr",
                "description": "You just found one of the coolest tools on the Internet for a homelab enthusiast. We do notifications.",
                "url": "",
                "longDescription": "<p>You just found one of the coolest tools on the Internet for a homelab enthusiast. We do notifications. We do them right. We've been doing then for years and we'll keep doing them for years to come. Notifiarr provides native custom integrations with dozens, maybe hundreds of applications and websites. That means these applications or websites can send data to Notifiarr, and we'll format a message according to your configuration then send it to your chat server.</p>",
                "tags": [
                  "notifications",
                  "rest api",
                  "curl",
                  "push notifications"
                ],
                "repository": "https://github.com/Notifiarr/notifiarr",
                "image": "https://hub.docker.com/r/golift/notifiarr",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Notifiarr/screenshots/1.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Notifiarr/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Notifiarr/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "OhMyForm",
                "description": "OhMyForm is a free, open-source form creation software. It offers a range of features for creating, administering, analyzing, and distributing beautiful, embeddable forms for various purposes such as recruiting, market research, and surveys. OhMyForm allows for self-hosting with no installation fees or monthly charges.",
                "url": "",
                "longDescription": "<p>OhMyForm is a free, open-source software that allows you to craft beautiful forms in seconds for various purposes such as recruiting, market research, surveys, and more. It offers a user-friendly interface and features that make creating, administering, analyzing, and distributing forms straightforward.</p><p>Key features of OhMyForm include its wide variety of built-in tools, the ability to create embeddable forms, and a powerful community of contributors that constantly improve and vet the platform. As open-source software, OhMyForm is not only always improving but also completely free.</p><p>One of the advantages of OhMyForm is the ability to host it yourself, ensuring no installation fees or monthly charges. This commitment to being 100% open-source allows users to maintain full control over their forms and data.</p>",
                "tags": [
                  "productivity",
                  "open-source",
                  "self-hosted",
                  "form creation",
                  "surveys",
                  "recruiting",
                  "market research",
                  "embeddable forms"
                ],
                "repository": "https://github.com/ohmyform/ohmyform",
                "image": "https://hub.docker.com/r/ohmyform/ohmyform",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/OhMyForm/screenshots/1.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/OhMyForm/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/OhMyForm/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Ombi",
                "description": "Ombi is an open-source, self-hosted web application that enables Plex or Emby users to request content. It offers features like user management, a request system, notification system, and automatic updates. Ombi is compatible with popular platforms such as Plex, Emby, Sonarr, Radarr, and Tautulli. It can be run on Windows, Linux, MacOS, and Docker.",
                "url": "",
                "longDescription": "<p>Ombi is an open-source, self-hosted web application that enables you to give your shared Plex or Emby users the ability to request content. It's an intuitive interface between your media server and the users.</p><p>Key features of Ombi include user management, a request system, notification system, and automatic updates. Ombi can be integrated with popular platforms such as Plex, Emby, Sonarr, Radarr, and Tautulli, making it an essential tool for managing requests for media content.</p><p>Ombi is compatible with various platforms, including Windows, Linux, MacOS, and it supports Docker, making it a highly versatile tool for various environments.</p>",
                "tags": [
                  "media",
                  "request",
                  "library",
                  "open-source",
                  "self-hosted",
                  "web application",
                  "plex",
                  "emby",
                  "request system",
                  "media content",
                  "windows",
                  "linux",
                  "macos",
                  "docker"
                ],
                "repository": "https://github.com/Ombi-app/Ombi",
                "image": "https://hub.docker.com/r/linuxserver/ombi",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Ombi/screenshots/1.jpg"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Ombi/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Ombi/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Overseerr",
                "description": "Overseerr is a request management and media discovery tool built to work with your existing Plex ecosystem.",
                "url": "",
                "longDescription": "<p>Overseerr is a free and open source software application for managing requests for your media library. It integrates with your existing services, such as Sonarr, Radarr, and Plex.</p><p>Overseerr helps you find media you want to watch. With inline recommendations and suggestions, you will find yourself deeper and deeper in a rabbit hole of content you never knew you just had to have.</p><p>Overseerr presents you and your users with a request interface that is incredibly easy to understand and use. Users can select the exact seasons they want to watch. Advanced users can use the “Advanced Requests” options to change destination folders and quality profiles.</p><p>Overseerr aims to make you and your user's lives more effortless than ever before.</p>",
                "tags": [
                  "media",
                  "request",
                  "library",
                  "open-source",
                  "self-hosted",
                  "web application",
                  "plex",
                  "request system",
                  "media content",
                  "windows",
                  "linux",
                  "macos",
                  "docker",
                  "radarr",
                  "sonarr"
                ],
                "repository": "https://github.com/sct/overseerr",
                "image": "https://hub.docker.com/r/linuxserver/overseerr",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Overseerr/screenshots/1.jpg",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Overseerr/screenshots/2.jpg",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Overseerr/screenshots/3.jpg"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Overseerr/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Overseerr/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Paperless-ngx",
                "description": "Paperless-ngx is a document management system that transforms your physical documents into a searchable online archive so you can keep, well, less paper.",
                "url": "",
                "longDescription": "<p>Paperless-ngx is a community-supported open-source document management system that transforms your physical documents into a searchable online archive so you can keep, well, less paper.</p><p>This version of Paperless-ngx is configured using PostgreSQL as the database server, as well as Apache, Tika, and Gotenberg servers to provide support for consuming Office documents (Word, Excel, Power Point and their LibreOffice counterparts.</p>",
                "tags": [
                  "document",
                  "management",
                  "organization",
                  "archive",
                  "collection",
                  "web interface",
                  "paper",
                  "docker"
                ],
                "repository": "https://github.com/paperless-ngx/paperless-ngx",
                "image": "https://ghcr.io/paperless-ngx/paperless-ngx",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Paperless-ngx/screenshots/1.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Paperless-ngx/screenshots/2.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Paperless-ngx/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Paperless-ngx/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "PhotoPrism",
                "description": "PhotoPrism is an open-source personal photo management tool that uses smart search, automated tagging, and geolocation to help organize your photos. It supports various image formats, generates thumbnails, and converts RAW images. PhotoPrism works across various platforms and offers a private, self-hosted solution for managing your photos. Start using PhotoPrism today for your photo management needs.",
                "url": "",
                "longDescription": "<p>PhotoPrism is an open-source personal photo management tool that makes use of the latest technologies to provide an easy and intuitive way to keep your photos organized. It provides a web-based platform to browse, organize, and share your personal photo collection.</p><p>With features like smart search, automated tagging, and geolocation, PhotoPrism makes it easy to find and group your photos. It supports various image formats and RAW files from high-quality cameras. PhotoPrism can also automatically generate thumbnails and convert RAW images.</p><p>Available for Windows, Linux, MacOS, and other platforms, PhotoPrism offers a private, self-hosted solution for your photo management needs. Start using PhotoPrism today to take control of your photo collection!</p>",
                "tags": [
                  "photo management",
                  "image organizer",
                  "smart search",
                  "automated tagging",
                  "geolocation",
                  "thumbnails",
                  "RAW images",
                  "self-hosted",
                  "windows",
                  "linux",
                  "macos",
                  "photoprism"
                ],
                "repository": "https://github.com/photoprism/photoprism",
                "image": "https://hub.docker.com/r/photoprism/photoprism",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Photoprism/screenshots/1.jpg",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Photoprism/screenshots/2.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Photoprism/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Photoprism/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Plex",
                "description": "Plex organizes all of your video, and music collections, and gives you instant access to them on all of your devices. With the free Plex Media Server software on your home computer and Plex for iOS, you can enjoy all of your personal media on your iPhone, iPad or iPod touch, and easily share it with friends and family. Plex also makes your media look beautiful with rich descriptions, artwork, and other related information. With an optional premium Plex Pass subscription, you can even sync videos, music, and photos to your smartphones and tablets to enjoy while offline. Parental controls, premium music features, music videos, trailers and extras, and powerful management tools are also part of our premium offering. Getting up and running is fast and simple, so get started now!",
                "url": "",
                "longDescription": "<p>WARNING! We highly advise AGAINST using Plex. It is gradually becoming agressive against the self-hosting community to the point that it might as well become cloud only in the next few years. It is also NOT a selfhosted app as a lof of your data are in the cloud (include analytics about what you watch) and it is not opensource. Instead, consider using Jellyfin, which is selfhosted and opensource unlike Plex.</p><p>Plex is a comprehensive media solution that organizes your video and music collections, giving you instant access across all your devices. With the free Plex Media Server software installed on your home computer and Plex's iOS app, you can enjoy your personal media on your iPhone, iPad, or iPod touch, and conveniently share it with your friends and family.</p><p>Plex is not just about easy access, it also enhances your media collection by adding rich descriptions, artwork, and other related information, making your media look visually appealing. If you choose to subscribe to the optional premium Plex Pass, you get the added ability to sync videos, music, and photos to your smartphones and tablets for offline enjoyment.</p><p>Premium features also include parental controls, enhanced music features, access to music videos, trailers, extras, and robust management tools. Starting with Plex is straightforward and quick. Get started today and transform your media experience!</p>",
                "tags": [
                  "media",
                  "movies",
                  "streaming",
                  "tv",
                  "music",
                  "photos",
                  "videos",
                  "audiobooks",
                  "podcasts",
                  "dlna",
                  "chromecast",
                  "android",
                  "ios",
                  "roku",
                  "firetv",
                  "smarttv",
                  "web",
                  "browser",
                  "kodi",
                  "emby",
                  "plex",
                  "media browser",
                  "media server",
                  "media streaming",
                  "media player",
                  "media center",
                  "media management",
                  "media organizer",
                  "media collection",
                  "media library",
                  "media manager",
                  "media sharing",
                  "media transcoding",
                  "media casting",
                  "media casting",
                  "media casting"
                ],
                "repository": "https://github.com/plex/plex",
                "image": "https://hub.docker.com/r/linuxserver/plex",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Plex/screenshots/1.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Plex/screenshots/2.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Plex/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Plex/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Radarr",
                "description": "Radarr is an automated movie download application, similar to CouchPotato. It helps you to manage your movie collection with features like metadata fetching, trailer linking, and integration with popular download clients. Radarr works across Windows, Linux, MacOS and has a mobile-friendly web interface. Start using Radarr now to automate and enhance your movie downloading and management process.",
                "url": "",
                "longDescription": "<p>Radarr is an independent fork of Sonarr reworked for automatically downloading movies via Usenet and BitTorrent. The project was inspired by other Usenet/BitTorrent movie downloaders such as CouchPotato.</p><p>Radarr provides a sleek, customizable interface to manage your movie collection, offering features like trailer linking, metadata fetching, and more. The software integrates with popular download clients and can automate your movie download process.</p><p>Radarr supports a variety of platforms including Windows, Linux, and MacOS, and also offers a mobile-friendly web interface. Setting up Radarr is straightforward. Get started today to streamline your movie downloading and management experience!</p>",
                "tags": [
                  "download",
                  "movies",
                  "torrent",
                  "usenet",
                  "automated",
                  "downloader",
                  "media",
                  "collection",
                  "usenet",
                  "bittorrent",
                  "windows",
                  "linux",
                  "macos",
                  "web interface",
                  "metadata",
                  "movie management",
                  "movie collection",
                  "radarr"
                ],
                "repository": "https://github.com/Radarr/Radarr",
                "image": "https://hub.docker.com/r/linuxserver/radarr",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Radarr/screenshots/1.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Radarr/screenshots/2.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Radarr/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Radarr/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Readarr",
                "description": "Readarr is an open-source, self-hosted PVR for managing and downloading ebooks. It offers features like adding favorite authors, automatic book searching, calendar integration, and importing existing libraries. Readarr supports integration with popular download clients and can send notifications. It can be run on Windows, Linux, MacOS, and Docker.",
                "url": "",
                "longDescription": "<p>Readarr is an open-source, self-hosted PVR (Personal Video Recorder) for managing and downloading ebooks. It's built off of the Radarr, Sonarr, and Lidarr platforms and brings the same powerful features to the world of ebooks.</p><p>Key features of Readarr include the ability to add your favorite authors, automatic book searching, calendar integration, and the ability to import existing libraries. It supports integration with popular download clients and can send notifications via a number of platforms.</p><p>Readarr is compatible with various platforms, including Windows, Linux, MacOS, and it supports Docker, making it a highly versatile tool for various environments.</p>",
                "tags": [
                  "download",
                  "ebooks",
                  "readarr",
                  "open-source",
                  "self-hosted",
                  "PVR",
                  "book management",
                  "download",
                  "windows",
                  "linux",
                  "macos",
                  "docker"
                ],
                "repository": "https://github.com/Readarr/Readarr",
                "image": "https://hub.docker.com/r/linuxserver/readarr",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Readarr/screenshots/1.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Readarr/screenshots/2.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Readarr/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Readarr/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Ryot",
                "description": "A self hosted platform for tracking various facets of your life - media, fitness etc.",
                "url": "",
                "longDescription": "<p>Ryot is a self hosted platform for tracking various facets of your life - media, fitness etc. Imagine you have a special notebook where you can write down all the media you have consumed, like books you've read, shows you have watched, video games you have played or workouts you have done. Now, imagine that instead of a physical notebook, you have a special tool on your computer or phone that lets you keep track of all these digitally.</p>",
                "tags": [
                  "tracker",
                  "media",
                  "fitness",
                  "open-source",
                  "collection",
                  "docker",
                  "windows",
                  "linux",
                  "macos",
                  "web interface",
                  "metadata",
                  "episode tracking",
                  "movie tracking",
                  "audiobook tracking",
                  "reading tracking",
                  "fitness tracking",
                  "integrations",
                  "ryot"
                ],
                "repository": "https://github.com/IgnisDa/ryot",
                "image": "https://ghcr.io/ignisda/ryot",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Ryot/screenshots/1.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Ryot/screenshots/2.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Ryot/screenshots/3.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Ryot/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Ryot/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Sonarr",
                "description": "Sonarr is an automated TV show manager that can search, download, and manage your TV series. It offers features like automatic quality upgrades, episode tracking, and metadata fetching. Sonarr works across various platforms including Windows, Linux, MacOS, and has a mobile-friendly web interface. Start using Sonarr now to automate your TV show management process.",
                "url": "",
                "longDescription": "<p>Sonarr is a multi-platform app to search, download, and manage TV shows. It automates the process of searching for new episodes, and can automatically download these files with your preferred download software.</p><p>Sonarr offers features such as automatic quality upgrades, series and episode tracking, and metadata fetching to enrich your media library. The interface is user-friendly and mobile-responsive, ensuring you can manage your TV shows easily on any device.</p><p>Available for Windows, Linux, and MacOS, Sonarr makes the TV show management process easy and efficient. Get started with Sonarr today and transform your media management experience!</p>",
                "tags": [
                  "download",
                  "tv shows",
                  "torrent",
                  "usenet",
                  "automated",
                  "manager",
                  "media",
                  "collection",
                  "windows",
                  "linux",
                  "macos",
                  "web interface",
                  "metadata",
                  "episode tracking",
                  "quality upgrades",
                  "sonarr"
                ],
                "repository": "https://github.com/Sonarr/Sonarr",
                "image": "https://hub.docker.com/r/linuxserver/sonarr",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Sonarr/screenshots/1.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Sonarr/screenshots/2.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Sonarr/screenshots/3.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Sonarr/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Sonarr/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Tandoor",
                "description": "Tandoor is a recipe manager that allows you to manage your ever growing collection of digital recipes.",
                "url": "",
                "longDescription": "<p>Tandoor Recipes is the self hosted recipe manager with meal planning, shopping lists and cookbook collections.</p><p>The days of storing recipes on paper cards is in the past and what better way to preserve older recipes that were handed down then to log them into a digital, self hosted recipe manager where you can access them anywhere?</p><p>Tandoor Recipes is much more than a digital recipe reference archive, it's a complete meal planning power house.</p>",
                "tags": [
                  "recipes",
                  "meals",
                  "shopping",
                  "planning",
                  "cookbook",
                  "docker",
                  "pwa"
                ],
                "repository": "https://github.com/TandoorRecipes/recipes",
                "image": "https://hub.docker.com/r/vabene1111/recipes",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Tandoor/screenshots/1.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Tandoor/screenshots/2.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Tandoor/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Tandoor/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Transmission",
                "description": "Transmission is an open-source, cross-platform BitTorrent client. It is widely praised for its minimal resource usage, ease-of-use, and performance. Transmission provides features like built-in encryption, webseed support, peer exchange, automatic port mapping, and individual torrent speed limit settings. It supports Windows, Linux, MacOS, and also offers a web interface for remote control.",
                "url": "",
                "longDescription": "<p>Transmission is a cross-platform BitTorrent client that is open-source, volunteer-based, and free from advertisements. It is highly regarded for its low resource usage, simplicity, and performance.</p><p>With its intuitive interface, Transmission allows users to quickly and easily download and share files via the BitTorrent protocol. Its standout features include built-in encryption, webseed support, peer exchange, automatic port mapping, and the ability to set speed limits for individual torrents.</p><p>Transmission is available for a variety of platforms including Windows, Linux, and MacOS. It also provides a web interface for remote control, making it a popular choice among users looking for a lightweight, reliable BitTorrent client.</p>",
                "tags": [
                  "download",
                  "torrent",
                  "bittorrent",
                  "downloader",
                  "open-source",
                  "cross-platform",
                  "file sharing",
                  "peer-to-peer",
                  "p2p",
                  "transmission",
                  "windows",
                  "linux",
                  "macos",
                  "web interface"
                ],
                "repository": "https://github.com/transmission/transmission",
                "image": "https://hub.docker.com/r/linuxserver/transmission",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Transmission/screenshots/1.jpg"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Transmission/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Transmission/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Unmanic",
                "description": "Unmanic is a simple tool for optimising your file library. You can use it to convert your files into a single, uniform format, manage file movements based on timestamps, or execute custom commands against a file based on its file size.",
                "url": "",
                "longDescription": "<p>Unmanic is a simple tool for optimising your file library. You can use it to convert your files into a single, uniform format, manage file movements based on timestamps, or execute custom commands against a file based on its file size.</p><p>Simply configure Unmanic pointing it at your library and let it automatically manage that library for you.</p><p>Unmanic provides you with the following main functions:</p><ul><li>A scheduler built in to scan your whole library for files that do not conform to your configured file presets. Files found requiring processing are then queued.</li><li>A file/directory monitor. When a file is modified, or a new file is added in your library, Unmanic is able to again test that against your configured file presets. Like the first function, if this file requires processing, it is added to a queue for processing.</li><li>A handler to manage running multiple file manipulation tasks at a time.</li><li>A Web UI to easily configure, manage and monitor the progress of your library optimisation.</li></ul>",
                "tags": [
                  "media",
                  "server",
                  "tv",
                  "videos",
                  "web",
                  "browser",
                  "media browser",
                  "media server",
                  "media streaming",
                  "media player",
                  "media center",
                  "media management",
                  "media organizer",
                  "media collection",
                  "media library",
                  "media manager"
                ],
                "repository": "https://github.com/Unmanic/unmanic",
                "image": "https://hub.docker.com/r/josh5/unmanic",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Unmanic/screenshots/1.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Unmanic/screenshots/2.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Unmanic/screenshots/3.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Unmanic/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Unmanic/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm7",
                  "arm64"
                ]
              },
              {
                "name": "Uptime Kuma",
                "description": "Uptime Kuma is an open-source, self-hosted monitoring tool for tracking the uptime of online services. It offers status checks for various services, detailed statistics with charts, and multiple notification methods. Uptime Kuma is compatible with Windows, Linux, MacOS, and Docker.",
                "url": "",
                "longDescription": "<p>Uptime Kuma is an open-source, self-hosted monitoring tool that allows users to monitor their online services and get alerts when they go down or become unresponsive. This robust yet user-friendly tool is designed to help you keep track of your services' uptime.</p><p>Key features of Uptime Kuma include status checking for various services including HTTP(s), TCP, and ICMP, detailed statistics with charts, and multiple notification methods (like email, Slack, Telegram, etc.). Its clean, intuitive user interface makes setup and management of monitored services easy.</p><p>Uptime Kuma is compatible with various platforms, including Windows, Linux, MacOS, and it supports Docker, making it a highly versatile tool for various environments.</p>",
                "tags": [
                  "technical",
                  "administration",
                  "server",
                  "open-source",
                  "self-hosted",
                  "monitoring",
                  "uptime",
                  "service status",
                  "notifications",
                  "windows",
                  "linux",
                  "macos",
                  "docker"
                ],
                "repository": "https://github.com/louislam/uptime-kuma",
                "image": "https://hub.docker.com/r/louislam/uptime-kuma",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/UptimeKuma/screenshots/1.jpg",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/UptimeKuma/screenshots/2.jpg"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/UptimeKuma/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/UptimeKuma/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Van_DAM",
                "description": "A self-hosted digital asset manager for 3d print files",
                "url": "",
                "longDescription": "<p>VanDAM is a Digital Asset Manager (DAM), specifically designed for 3D print files. Create a library pointing at your files on disk, and it will scan for models and parts. It assumes that any folders containing STL or OBJ files are models, and the files within them are parts. You can then view the files easily through your browser!</p>",
                "tags": [
                  "3d models",
                  "3d printing"
                ],
                "repository": "https://github.com/Floppy/van_dam",
                "image": "ghcr.io/floppy/van_dam",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Van_DAM/screenshots/1.jpg",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Van_DAM/screenshots/2.jpg"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Van_DAM/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Van_DAM/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "Vaultwarden",
                "description": "Vaultwarden is an open-source, self-hosted password management server compatible with Bitwarden apps. Written in Rust, it provides a secure way to store and synchronize sensitive data across devices with lightweight and low resource usage. Vaultwarden supports various platforms, including Linux, Windows, MacOS, and Docker.",
                "url": "",
                "longDescription": "<p>Vaultwarden is an open-source password management server that is compatible with Bitwarden apps. It provides a secure and free self-hosted solution to store and synchronize sensitive data across multiple devices, with the ability to share data across organizations, users, and teams.</p><p>Written in Rust, Vaultwarden is designed for lightweight and low resource usage. It allows you to store all kinds of sensitive information, including passwords, credit card details, and secure notes, which can be accessed through Bitwarden's web, mobile, or browser extension apps.</p><p>Vaultwarden supports various platforms, including Linux, Windows, MacOS, and can be deployed easily using Docker.</p>",
                "tags": [
                  "productivity",
                  "password-manager",
                  "password manager",
                  "bitwarden",
                  "rust",
                  "sensitive data",
                  "synchronization",
                  "linux",
                  "windows",
                  "macos",
                  "docker"
                ],
                "repository": "https://github.com/dani-garcia/vaultwarden",
                "image": "https://hub.docker.com/r/vaultwarden/server",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Vaultwarden/screenshots/1.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Vaultwarden/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Vaultwarden/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "WordPress",
                "description": "WordPress is a free, open-source content management system based on PHP and MySQL. Known for its flexibility and ease-of-use, it supports a range of website types with thousands of plugins and themes. WordPress features a robust administrative dashboard for website creation, modification, and management. It is widely supported across various hosting platforms.",
                "url": "",
                "longDescription": "<p>WordPress is a free and open-source content management system (CMS) based on PHP and MySQL. It is one of the most popular website management or blogging system in use on the Web, supporting more than 60 million websites.</p><p>WordPress allows users to create and edit websites through a central administrative dashboard, which includes a text editor for modifying content, menus and various design elements. It offers thousands of themes and plugins that can enhance functionality and customization options, making it suitable for a variety of website types, from personal blogs to online stores.</p><p>With its vast community, WordPress users have access to a plethora of resources, tutorials, and guides. Start your website journey with WordPress today!</p>",
                "tags": [
                  "blogging",
                  "cms",
                  "website management",
                  "php",
                  "mysql",
                  "themes",
                  "plugins",
                  "self-hosted",
                  "wordpress"
                ],
                "repository": "https://github.com/WordPress/WordPress",
                "image": "https://hub.docker.com/_/wordpress",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/Wordpress/screenshots/1.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/Wordpress/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/Wordpress/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              },
              {
                "name": "ntfy",
                "description": "Send push notifications to your phone or desktop using PUT/POST.",
                "url": "",
                "longDescription": "<p>ntfy (pronounced \"notify\") is a simple HTTP-based pub-sub notification service. With ntfy, you can send notifications to your phone or desktop via scripts from any computer, without having to sign up or pay any fees.</p>",
                "tags": [
                  "notifications",
                  "rest api",
                  "curl",
                  "push notifications"
                ],
                "repository": "https://github.com/binwiederhier/ntfy",
                "image": "https://hub.docker.com/r/binwiederhier/ntfy",
                "screenshots": [
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/ntfy/screenshots/1.png",
                  "https://azukaar.github.io/cosmos-servapps-official/servapps/ntfy/screenshots/2.png"
                ],
                "icon": "https://azukaar.github.io/cosmos-servapps-official/servapps/ntfy/icon.png",
                "compose": "https://azukaar.github.io/cosmos-servapps-official/servapps/ntfy/cosmos-compose.json",
                "supported_architectures": [
                  "amd64",
                  "arm64"
                ]
              }
            ]
          }
        },
        "status": "OK"
      });
  });
}

export {
  list,
};